Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.operation
Class Transform

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wcts.operation.WCTSRequestBase
              org.deegree.ogcwebservices.wcts.operation.Transform

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class Transform

extends WCTSRequestBase

`Transform` is an encapsulation of a Transform request defined in the wcts 0.4.0 specification.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$
See Also:
  Serialized Form

Field Summary
`static int` | `INLINE` Signals that the data was presented inline.
`static int` | `MULTIPART` Signals that the data was presented in multiparts.

Constructor Summary
`Transform(String version, String requestID, boolean store, CoordinateSystem sourceCRS, CoordinateSystem targetCRS, TransformationReference transformationReference, Manifest inputData, TransformableData<?> transformableData, String outputFormat, int dataPresentation)`

Method Summary
`static Transform` | `create(String requestID, Map<String,String> map)` Create a `Transform`-request by extracting the values from the map, and calling the constructor with these values.
`boolean` | `extensiveLogging()`
`int` | `getDataPresentation()`
`Manifest` | `getInputData()`
`String` | `getInputDataString()`
`String` | `getOutputFormat()`
`String` | `getRequestIP()`
`CoordinateSystem` | `getSourceCRS()`
`CoordinateSystem` | `getTargetCRS()`
`TransformableData<?>` | `getTransformableData()`
`TransformationReference` | `getTransformationReference()`
`boolean` | `mustStore()`
`void` | `setRequestIP(String requestIP)`

Methods inherited from class org.deegree.ogcwebservices.wcts.operation.WCTSRequestBase
`getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INLINE

    public static final int INLINE

  Signals that the data was presented inline.

  See Also:
    Constant Field Values

### MULTIPART

    public static final int MULTIPART

  Signals that the data was presented in multiparts.

  See Also:
    Constant Field Values

Constructor Detail

### Transform

    public Transform(String version,
                     String requestID,
                     boolean store,
                     CoordinateSystem sourceCRS,
                     CoordinateSystem targetCRS,
                     TransformationReference transformationReference,
                     Manifest inputData,
                     TransformableData<?> transformableData,
                     String outputFormat,
                     int dataPresentation)
              throws IllegalArgumentException

Parameters:
  `version` - of the request (0.4.0)
  `requestID` - internal id of the request.
  `store` -
  `sourceCRS` -
  `targetCRS` -
  `transformationReference` - a bean holding the reference to a configured (or user defined) reference or
  `inputData` -
  `transformableData` - an encapsulation of all kinds of possible transformable data.
  `outputFormat` -
  `dataPresentation` - a flag signaling the way the data was presented to the wcts. Valid values are `INLINE` and `MULTIPART`. If another value is given, `MULTIPART` is assumed.
Throws:
  `IllegalArgumentException` - if the transformableData was `null`.

Method Detail

### mustStore

    public final boolean mustStore()

  Returns:
    true if the transformed data should be stored.

### getSourceCRS

    public final CoordinateSystem getSourceCRS()

  Returns:
    the sourceCRS.

### getTargetCRS

    public final CoordinateSystem getTargetCRS()

  Returns:
    the targetCRS.

### getInputData

    public final Manifest getInputData()

  Returns:
    the inputData, may be `null`, if so, check `getInputDataString()` to see if the request defined a location by kvp.

### getInputDataString

    public final String getInputDataString()

  Returns:
    the inputDataString, supplied by kvp. Maybe `null`, if so check `getInputData()` to see if an xml encoded inputdata object was supplied.

### getOutputFormat

    public final String getOutputFormat()

  Returns:
    the outputFormat.

### create

    public static Transform create(String requestID,
                                   Map<String,String> map)
                            throws OGCWebServiceException

  Create a `Transform`-request by extracting the values from the map, and calling the constructor with these values.

  Parameters:
    `requestID` - service internal id for this request.
    `map` - to extract requested values from.
  Returns:
    the bean representation
  Throws:
    `OGCWebServiceException` - if the map is `null` or has size==0, or the service,request parameters have none accepted values.

### getTransformableData

    public final TransformableData<?> getTransformableData()

  Returns:
    the transformableData, as an encapsulation of a

### setRequestIP

    public void setRequestIP(String requestIP)

  Parameters:
    `requestIP` - or `null` if not known.

### getRequestIP

    public final String getRequestIP()

  Returns:
    the requestIP or 'Unknown IP' if the ip-address of the request was not set/known.

### extensiveLogging

    public final boolean extensiveLogging()

  Returns:
    true if the logging should be extensive.

### getDataPresentation

    public final int getDataPresentation()

  Returns:
    a flag signaling the way the data was presented to the wcts. Valid values are `INLINE` and `MULTIPART`.

### getTransformationReference

    public final TransformationReference getTransformationReference()

  Returns:
    the transformationReference which references a transformation, may be `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org